<?xml version="1.0" encoding="UTF-8"?>
<!--
/*
* Copyright 2014 - LAit SpA
*				 Realizzato da Icona Management srl su commessa LAit SpA
* Copyright 2015- LAit SpA
*                                                  Aggiornato da LAit SpA
*
* Concesso in licenza a norma dell'EUPL, versione 1.1 o
* successive dell'EUPL (la "Licenza")– non appena saranno
* approvate dalla Commissione europea;
* Non è possibile utilizzare l'opera salvo nel rispetto della Licenza.
* È possibile ottenere una copia della Licenza al seguente indirizzo:
*
* http://ec.europa.eu/idabc/eupl
*
* Salvo diversamente indicato dalla legge applicabile o
* concordato per iscritto, il software distribuito secondo
* i termini della Licenza è distribuito "TAL QUALE",
* SENZA GARANZIE O CONDIZIONI DI ALCUN TIPO,
* esplicite o implicite.
* Si veda la Licenza per la lingua specifica che disciplina
* le autorizzazioni e le limitazioni secondo i termini della
* Licenza.
*/
-->
<!-- =========== FULL CONFIGURATION FILE ================================== -->
<faces-config version="1.2" xmlns="http://java.sun.com/xml/ns/javaee"
 xmlns:xi="http://www.w3.org/2001/XInclude"
 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-facesconfig_1_2.xsd">
 <converter>
  <converter-for-class>java.util.Date</converter-for-class>
  <converter-class>it.laitspa.cpf.faces.utils.MyDateTimeConverter</converter-class>
 </converter>
 <converter>
  <converter-for-class>javax.xml.datatype.XMLGregorianCalendar</converter-for-class>
  <converter-class>it.laitspa.cpf.faces.utils.converter.XmlCalendarConverter</converter-class>
 </converter>
 <managed-bean>
  <managed-bean-name>FluxBean</managed-bean-name>
  <managed-bean-class>it.laitspa.cpf.faces.sogei.invoice.FluxBean</managed-bean-class>
  <managed-bean-scope>session</managed-bean-scope>
 </managed-bean>
 <managed-bean>
  <managed-bean-name>InvBean</managed-bean-name>
  <managed-bean-class>it.laitspa.cpf.faces.sogei.invoice.InvBean</managed-bean-class>
  <managed-bean-scope>request</managed-bean-scope>
 </managed-bean>
 <managed-bean>
  <managed-bean-name>LBean</managed-bean-name>
  <managed-bean-class>it.laitspa.cpf.faces.sogei.LBean</managed-bean-class>
  <managed-bean-scope>session</managed-bean-scope>
 </managed-bean>
 <managed-bean>
  <managed-bean-name>SBean</managed-bean-name>
  <managed-bean-class>it.laitspa.cpf.faces.sogei.SBean</managed-bean-class>
  <managed-bean-scope>session</managed-bean-scope>
 </managed-bean>
 <managed-bean>
  <managed-bean-name>StreamingBean</managed-bean-name>
  <managed-bean-class>it.laitspa.cpf.faces.streaming.StreamingBean</managed-bean-class>
  <managed-bean-scope>session</managed-bean-scope>
 </managed-bean>
 <managed-bean>
  <managed-bean-name>DBean</managed-bean-name>
  <managed-bean-class>it.laitspa.cpf.faces.sogei.DBean</managed-bean-class>
  <managed-bean-scope>request</managed-bean-scope>
 </managed-bean>
 <managed-bean>
  <managed-bean-name>MenuBean</managed-bean-name>
  <managed-bean-class>it.laitspa.cpf.faces.sogei.MenuBean</managed-bean-class>
  <managed-bean-scope>session</managed-bean-scope>
 </managed-bean>
 <managed-bean>
  <managed-bean-name>ValidatorBean</managed-bean-name>
  <managed-bean-class>it.laitspa.cpf.faces.utils.validator.ValidatorBean</managed-bean-class>
  <managed-bean-scope>application</managed-bean-scope>
 </managed-bean>
 <!-- ELResolver defines how to resolve EL expressions referring to a particular 
		type of object or property. -->
 <application>
  <el-resolver>it.laitspa.cpf.faces.utils.SetToListELResolver</el-resolver>
  <message-bundle>it.laitspa.cpf.faces.Messages</message-bundle>
  <locale-config>
   <default-locale>it_IT</default-locale>
   <supported-locale>it_IT</supported-locale>
  </locale-config>
 </application>
 <lifecycle>
  <phase-listener id="nocache">it.laitspa.cpf.faces.utils.CacheControlPhaseListener</phase-listener>
 </lifecycle>
</faces-config>
